httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rasmus Lerdorf <ras...@apache.org>
Subject Re: Can't Get PHP To Compile With Apache
Date Tue, 11 Jun 2002 18:56:27 GMT
Did you read the INSTALL file that comes with PHP?  You are trying to
build PHP as a static module.  To build a DSO use --with-apxs instead of
--with-apache.  If you really do want to build the static module version
of PHP, then use --with-apache=/some/dir where /some/dir contains the
Apache source files (from that Apache distribution tarball).  Don't forget
to run configure in the Apache source dir first.  But, all this is of
course in the PHP installation documentation.

-Rasmus

On Tue, 11 Jun 2002, JOHN R BLACKMORE wrote:

> Hello Apache Gurus!
>
> I am trying to compile php4 w/ apache:
>
>    ./configure --with-apache=../apache
>
> and I get the following msg:
>
> Invalid Apache Directory - unable to find httpd.h under
> /usr/local/apache or any other path that httpd.h resides
> in(several).
>
> Any ideas?
>
> Thank you!
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
>


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message